# vkCmdEndConditionalRenderingEXT(3) Manual Page

## Name

vkCmdEndConditionalRenderingEXT - Define the end of a conditional rendering block

## C Specification

To end conditional rendering, call:

    void vkCmdEndConditionalRenderingEXT(
        VkCommandBuffer                             commandBuffer);

## Parameters

- `commandBuffer` is the command buffer into which this command will be recorded.

## Description

Once ended, conditional rendering becomes inactive.

Valid Usage

- Conditional rendering must be active

- If conditional rendering was made active outside of a render pass instance, it must not be ended inside a render pass instance

- If conditional rendering was made active within a subpass it must be ended in the same subpass

Valid Usage (Implicit)

- `commandBuffer` must be a valid VkCommandBuffer handle

- `commandBuffer` must be in the recording state

- The `VkCommandPool` that `commandBuffer` was allocated from must support graphics, or compute operations

Host Synchronization

- Host access to `commandBuffer` must be externally synchronized

- Host access to the `VkCommandPool` that `commandBuffer` was allocated from must be externally synchronized

Command Properties

Command Buffer Levels | Render Pass Scope | Supported Queue Types | Pipeline Type
--- | --- | --- | ---
Primary Secondary | Both | Graphics Compute |

## See Also

VkCommandBuffer

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.